Bug 204547 - [WebGL] Garden dedicated queue
Summary: [WebGL] Garden dedicated queue
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jonathan Bedard
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-11-22 22:18 PST by Jonathan Bedard
Modified: 2019-11-28 13:30 PST (History)
4 users (show)

See Also:


Attachments
Patch (5.24 KB, patch)
2019-11-22 22:28 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (6.36 KB, patch)
2019-11-23 14:27 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (7.53 KB, patch)
2019-11-24 09:23 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (11.83 KB, patch)
2019-11-24 14:58 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (9.06 KB, patch)
2019-11-26 09:16 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (14.92 KB, patch)
2019-11-26 19:41 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (9.91 KB, patch)
2019-11-27 10:06 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (5.97 KB, patch)
2019-11-27 14:30 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (16.10 KB, patch)
2019-11-27 19:19 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (9.18 KB, patch)
2019-11-28 10:44 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Bedard 2019-11-22 22:18:15 PST
Tracks initial test gardening for WebGL.
Comment 1 Jonathan Bedard 2019-11-22 22:28:11 PST
Created attachment 384231 [details]
Patch
Comment 2 Jonathan Bedard 2019-11-22 22:29:12 PST
Leveraging results from https://build.webkit.org/builders/Apple-Catalina-Debug-WK2-WebGL-Tests
Comment 3 WebKit Commit Bot 2019-11-23 08:58:56 PST
Comment on attachment 384231 [details]
Patch

Clearing flags on attachment: 384231

Committed r252833: <https://trac.webkit.org/changeset/252833>
Comment 4 WebKit Commit Bot 2019-11-23 08:58:58 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2019-11-23 08:59:18 PST
<rdar://problem/57453168>
Comment 6 Jonathan Bedard 2019-11-23 14:27:28 PST
Reopening to attach new patch.
Comment 7 Jonathan Bedard 2019-11-23 14:27:29 PST
Created attachment 384243 [details]
Patch
Comment 8 WebKit Commit Bot 2019-11-23 16:42:24 PST
Comment on attachment 384243 [details]
Patch

Clearing flags on attachment: 384243

Committed r252838: <https://trac.webkit.org/changeset/252838>
Comment 9 WebKit Commit Bot 2019-11-23 16:42:25 PST
All reviewed patches have been landed.  Closing bug.
Comment 10 Jonathan Bedard 2019-11-24 09:23:34 PST
Reopening to attach new patch.
Comment 11 Jonathan Bedard 2019-11-24 09:23:37 PST
Created attachment 384258 [details]
Patch
Comment 12 WebKit Commit Bot 2019-11-24 12:19:02 PST
Comment on attachment 384258 [details]
Patch

Clearing flags on attachment: 384258

Committed r252842: <https://trac.webkit.org/changeset/252842>
Comment 13 WebKit Commit Bot 2019-11-24 12:19:03 PST
All reviewed patches have been landed.  Closing bug.
Comment 14 Jonathan Bedard 2019-11-24 14:58:02 PST
Reopening to attach new patch.
Comment 15 Jonathan Bedard 2019-11-24 14:58:09 PST
Created attachment 384260 [details]
Patch
Comment 16 WebKit Commit Bot 2019-11-24 17:29:44 PST
Comment on attachment 384260 [details]
Patch

Clearing flags on attachment: 384260

Committed r252844: <https://trac.webkit.org/changeset/252844>
Comment 17 WebKit Commit Bot 2019-11-24 17:29:46 PST
All reviewed patches have been landed.  Closing bug.
Comment 18 Jonathan Bedard 2019-11-26 09:16:50 PST
Reopening to attach new patch.
Comment 19 Jonathan Bedard 2019-11-26 09:16:58 PST
Created attachment 384360 [details]
Patch
Comment 20 WebKit Commit Bot 2019-11-26 11:44:27 PST
Comment on attachment 384360 [details]
Patch

Clearing flags on attachment: 384360

Committed r252892: <https://trac.webkit.org/changeset/252892>
Comment 21 WebKit Commit Bot 2019-11-26 11:44:29 PST
All reviewed patches have been landed.  Closing bug.
Comment 22 Jonathan Bedard 2019-11-26 19:40:53 PST
Reopening to attach new patch.
Comment 23 Jonathan Bedard 2019-11-26 19:41:00 PST
Created attachment 384390 [details]
Patch
Comment 24 WebKit Commit Bot 2019-11-26 20:56:51 PST
The commit-queue encountered the following flaky tests while processing attachment 384390 [details]:

media/presentationmodechanged-fired-once.html bug 204632
The commit-queue is continuing to process your patch.
Comment 25 WebKit Commit Bot 2019-11-26 20:57:41 PST
Comment on attachment 384390 [details]
Patch

Clearing flags on attachment: 384390

Committed r252896: <https://trac.webkit.org/changeset/252896>
Comment 26 WebKit Commit Bot 2019-11-26 20:57:43 PST
All reviewed patches have been landed.  Closing bug.
Comment 27 Jonathan Bedard 2019-11-27 10:06:35 PST
Reopening to attach new patch.
Comment 28 Jonathan Bedard 2019-11-27 10:06:41 PST
Created attachment 384417 [details]
Patch
Comment 29 WebKit Commit Bot 2019-11-27 11:20:18 PST
Comment on attachment 384417 [details]
Patch

Clearing flags on attachment: 384417

Committed r252910: <https://trac.webkit.org/changeset/252910>
Comment 30 WebKit Commit Bot 2019-11-27 11:20:20 PST
All reviewed patches have been landed.  Closing bug.
Comment 31 Jonathan Bedard 2019-11-27 14:30:41 PST
Reopening to attach new patch.
Comment 32 Jonathan Bedard 2019-11-27 14:30:47 PST
Created attachment 384426 [details]
Patch
Comment 33 WebKit Commit Bot 2019-11-27 15:26:12 PST
Comment on attachment 384426 [details]
Patch

Clearing flags on attachment: 384426

Committed r252914: <https://trac.webkit.org/changeset/252914>
Comment 34 WebKit Commit Bot 2019-11-27 15:26:13 PST
All reviewed patches have been landed.  Closing bug.
Comment 35 Jonathan Bedard 2019-11-27 19:19:50 PST
Reopening to attach new patch.
Comment 36 Jonathan Bedard 2019-11-27 19:19:57 PST
Created attachment 384432 [details]
Patch
Comment 37 WebKit Commit Bot 2019-11-28 08:26:37 PST
Comment on attachment 384432 [details]
Patch

Clearing flags on attachment: 384432

Committed r252929: <https://trac.webkit.org/changeset/252929>
Comment 38 WebKit Commit Bot 2019-11-28 08:26:39 PST
All reviewed patches have been landed.  Closing bug.
Comment 39 Jonathan Bedard 2019-11-28 10:44:26 PST
Reopening to attach new patch.
Comment 40 Jonathan Bedard 2019-11-28 10:44:35 PST
Created attachment 384466 [details]
Patch
Comment 41 WebKit Commit Bot 2019-11-28 13:30:50 PST
Comment on attachment 384466 [details]
Patch

Clearing flags on attachment: 384466

Committed r252934: <https://trac.webkit.org/changeset/252934>
Comment 42 WebKit Commit Bot 2019-11-28 13:30:52 PST
All reviewed patches have been landed.  Closing bug.